.TH wxBrush 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxBrush \- See external documentation: wxBrush\&.
.SH DESCRIPTION
.LP
See external documentation: wxBrush <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbrush\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxBrush()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxBrush()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbrush\&.html#wxbrushwxbrush>\&.
.RE
.LP
.B
new(X::term()) -> wxBrush()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbrush\&.html#wxbrushwxbrush>\&. 
.br
 Alternatives: 
.LP
\fI new(Colour::wx:colour()) -> new(Colour, []) \fR
.LP
\fI new(StippleBitmap::wxBitmap:wxBitmap()) -> wxBrush() \fR 
.RE
.LP
.B
new(Colour::colour() (see module wx), Options::[Option]) -> wxBrush()
.br
.RS
.TP
Types
Option = {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbrush\&.html#wxbrushwxbrush>\&.
.RE
.LP
.B
getColour(This::wxBrush()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbrush\&.html#wxbrushgetcolour>\&.
.RE
.LP
.B
getStipple(This::wxBrush()) -> wxBitmap() (see module wxBitmap)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbrush\&.html#wxbrushgetstipple>\&.
.RE
.LP
.B
getStyle(This::wxBrush()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbrush\&.html#wxbrushgetstyle>\&.
.RE
.LP
.B
isHatch(This::wxBrush()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbrush\&.html#wxbrushishatch>\&.
.RE
.LP
.B
isOk(This::wxBrush()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbrush\&.html#wxbrushisok>\&.
.RE
.LP
.B
setColour(This::wxBrush(), Col::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbrush\&.html#wxbrushsetcolour>\&.
.RE
.LP
.B
setColour(This::wxBrush(), R::integer(), G::integer(), B::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbrush\&.html#wxbrushsetcolour>\&.
.RE
.LP
.B
setStipple(This::wxBrush(), Stipple::wxBitmap() (see module wxBitmap)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbrush\&.html#wxbrushsetstipple>\&.
.RE
.LP
.B
setStyle(This::wxBrush(), Style::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbrush\&.html#wxbrushsetstyle>\&.
.RE
.LP
.B
destroy(This::wxBrush()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
